Bug 184575 - textproc/ctpp2 : fix build with gcc47
textproc/ctpp2 : fix build with gcc47
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Veniamin Gvozdikov
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-12-07 17:10 UTC by Christoph Moench-Tegeder
Modified: 2014-01-07 23:30 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christoph Moench-Tegeder 2013-12-07 17:10:00 UTC
Hi,

in an effort towards upgrading lang/gcc to gcc 4.7, I'm helping gerald@
in making ports gcc47-safe.
Please consider the following patch to your port. If you approve of the
patch, gerald@ has offered his help in commiting it.
If you're commiting yourself or have someone else commit this (or
another patch to the same effect), can you please add an additional
reference to ports/183342 in the commit message?
In my test environment, the port built successfully with lang/gcc47.

Fix: GCC 4.7 dows not include unistd.h on it's own anymore, so add it
explicitly.

# add unistd.h
$ svn status
A       files/patch-src-CTPP2FileSourceLoader.cpp



Regards,
Christoph--0TvHPPFf1AuCVDU0UAM0OlR7zLb4um38M3cuMWOR2bd3VW6x
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

Index: files/patch-src-CTPP2FileSourceLoader.cpp
===================================================================
--- files/patch-src-CTPP2FileSourceLoader.cpp	(revision 0)
+++ files/patch-src-CTPP2FileSourceLoader.cpp	(working copy)
@@ -0,0 +1,10 @@
+--- src/CTPP2FileSourceLoader.cpp.orig	2013-11-16 14:26:59.000000000 +0100
++++ src/CTPP2FileSourceLoader.cpp	2013-11-16 14:27:17.000000000 +0100
+@@ -38,6 +38,7 @@
+ #include <errno.h>
+ #include <stdio.h>
+ #include <stdlib.h>
++#include <unistd.h>
+ 
+ #ifdef WIN32
+     #include <direct.h> /* getcwd */
Comment 1 Edwin Groothuis freebsd_committer 2013-12-07 17:10:20 UTC
Responsible Changed
From-To: freebsd-ports-bugs->vg

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 gerald 2013-12-07 23:06:48 UTC
Apologies, the PR to reference should have been 182136.

Gerald
Comment 3 Mathieu Arnold freebsd_committer 2014-01-07 22:56:52 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 4 dfilter freebsd_committer 2014-01-07 22:57:44 UTC
Author: mat
Date: Tue Jan  7 22:57:37 2014
New Revision: 339046
URL: http://svnweb.freebsd.org/changeset/ports/339046

Log:
  Fix build with gcc47
  
  maintainer timeout
  
  PR:		ports/184575
  Submitted by:	Christoph Moench-Tegeder

Added:
  head/textproc/ctpp2/files/patch-src-CTPP2FileSourceLoader.cpp   (contents, props changed)

Added: head/textproc/ctpp2/files/patch-src-CTPP2FileSourceLoader.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/textproc/ctpp2/files/patch-src-CTPP2FileSourceLoader.cpp	Tue Jan  7 22:57:37 2014	(r339046)
@@ -0,0 +1,10 @@
+--- src/CTPP2FileSourceLoader.cpp.orig	2013-11-16 14:26:59.000000000 +0100
++++ src/CTPP2FileSourceLoader.cpp	2013-11-16 14:27:17.000000000 +0100
+@@ -38,6 +38,7 @@
+ #include <errno.h>
+ #include <stdio.h>
+ #include <stdlib.h>
++#include <unistd.h>
+ 
+ #ifdef WIN32
+     #include <direct.h> /* getcwd */
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 dfilter freebsd_committer 2014-01-07 23:25:21 UTC
Author: mat
Date: Tue Jan  7 23:25:12 2014
New Revision: 339053
URL: http://svnweb.freebsd.org/changeset/ports/339053

Log:
  MFH: r339046
  
  Fix build with gcc47
  
  maintainer timeout
  
  PR:		ports/184575
  Submitted by:	Christoph Moench-Tegeder
  Approved by:	portmgr (implicit)

Added:
  branches/2014Q1/textproc/ctpp2/files/patch-src-CTPP2FileSourceLoader.cpp
     - copied unchanged from r339046, head/textproc/ctpp2/files/patch-src-CTPP2FileSourceLoader.cpp
Modified:
Directory Properties:
  branches/2014Q1/   (props changed)

Copied: branches/2014Q1/textproc/ctpp2/files/patch-src-CTPP2FileSourceLoader.cpp (from r339046, head/textproc/ctpp2/files/patch-src-CTPP2FileSourceLoader.cpp)
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ branches/2014Q1/textproc/ctpp2/files/patch-src-CTPP2FileSourceLoader.cpp	Tue Jan  7 23:25:12 2014	(r339053, copy of r339046, head/textproc/ctpp2/files/patch-src-CTPP2FileSourceLoader.cpp)
@@ -0,0 +1,10 @@
+--- src/CTPP2FileSourceLoader.cpp.orig	2013-11-16 14:26:59.000000000 +0100
++++ src/CTPP2FileSourceLoader.cpp	2013-11-16 14:27:17.000000000 +0100
+@@ -38,6 +38,7 @@
+ #include <errno.h>
+ #include <stdio.h>
+ #include <stdlib.h>
++#include <unistd.h>
+ 
+ #ifdef WIN32
+     #include <direct.h> /* getcwd */
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"